VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::appliance::networking::InterfacesTypes::InterfaceStatus Class Reference

`Interfaces.InterfaceStatus` enumerated type Defines interface status More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, down, up }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static InterfaceStatus[] | GetValues ()
static InterfaceStatus | ValueOf (string name)
## Static Public Attributes
static readonly InterfaceStatus | down = new InterfaceStatus("down", Values.down)
| The interface is down.
static readonly InterfaceStatus | up = new InterfaceStatus("up", Values.up)
| The interface is up.

## Detailed Description

`Interfaces.InterfaceStatus` enumerated type Defines interface status

## Member Enumeration Documentation

enum vmware::appliance::networking::InterfacesTypes::InterfaceStatus::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  down | The interface is down.
  up | The interface is up.

## Member Function Documentation

Values vmware::appliance::networking::InterfacesTypes::InterfaceStatus::GetEnumValue | ( |  | ) | `[inline]`

static InterfaceStatus [] vmware::appliance::networking::InterfacesTypes::InterfaceStatus::GetValues | ( |  | ) | `[inline, static]`

bool vmware::appliance::networking::InterfacesTypes::InterfaceStatus::IsUnknown | ( |  | ) | `[inline]`

static InterfaceStatus vmware::appliance::networking::InterfacesTypes::InterfaceStatus::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly InterfaceStatus vmware::appliance::networking::InterfacesTypes::InterfaceStatus::down = new InterfaceStatus("down", Values.down)`[static]`

The interface is down.

readonly InterfaceStatus vmware::appliance::networking::InterfacesTypes::InterfaceStatus::up = new InterfaceStatus("up", Values.up)`[static]`

The interface is up.

The documentation for this class was generated from the following file:

- InterfacesTypes.cs